Bug 221971 - ports-mgmt/portlint: allow USE_GITHUB before USES
Summary: ports-mgmt/portlint: allow USE_GITHUB before USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-01 08:06 UTC by Dmitry Marakasov
Modified: 2017-12-29 15:48 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
Patch (434 bytes, patch)
2017-09-01 08:06 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2017-09-01 08:06:26 UTC
Created attachment 185968 [details]
Patch

While most USE_* vars are either additions or tweaks for USES, USE_GITHUB is different as it belongs to fetch, and not configure/build phase, therefore it's common to have USE_GITHUB/GH_* before USES knob. Allow this in portlint, and do not suggest something which would mix up natural "fetch-related stuff, then build-related stuff" order.
Comment 1 Joe Marcus Clarke freebsd_committer 2017-09-27 18:04:31 UTC
Committed to my repo pending the next release.
Comment 2 commit-hook freebsd_committer 2017-10-08 17:59:22 UTC
A commit references this bug:

Author: marcus
Date: Sun Oct  8 17:58:52 UTC 2017
New revision: 451553
URL: https://svnweb.freebsd.org/changeset/ports/451553

Log:
  Update to 2.17.13.

  * Do not complain about USE_GITHUB before USES [1]
  * Make sure each variable in a dependency is fully expanded [2]
  * Clean up the earlier checks for BROKEN, etc. to prevent bogus warnings [3]
  * 'USE=execinfo' is removed with ports r450351. So stop suggesting to use it [4]

  PR:		221971 [1]
  		221605 [2]
  		222409 [3]
  		222653 [4]
  Submitted by:	amdmi3 [1]
  		jrm [2]
  		Yasuhiro KIMURA <yasu@utahime.org> [4]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 3 Joe Marcus Clarke freebsd_committer 2017-10-08 18:00:30 UTC
Committed in 2.17.13.  Thanks!
Comment 4 Mathieu Arnold freebsd_committer 2017-10-09 16:08:23 UTC
This change is wrong, please revert it.
Comment 5 Joe Marcus Clarke freebsd_committer 2017-10-09 16:38:54 UTC
Is this wrong in how it was coded, or should USE_GITHUB really be treated like other USE_* (even though it's more of a fetch thing)?
Comment 6 Joe Marcus Clarke freebsd_committer 2017-12-28 23:40:30 UTC
This will be reverted in the next release pending the resolution of the debate.
Comment 7 Joe Marcus Clarke freebsd_committer 2017-12-28 23:49:43 UTC
Reverted in 2.17.15.
Comment 8 Dmitry Marakasov freebsd_committer 2017-12-29 12:01:13 UTC
(In reply to Mathieu Arnold from comment #4)
> This change is wrong, please revert it.

Please explain why.
Comment 9 Joe Marcus Clarke freebsd_committer 2017-12-29 15:48:02 UTC
Sure.  There was debate on this from two committers, and I never saw an authoritative response from portmgr as to the right answer.  If a decision is made to allow USE_GITHUB before USES, I'm down with making the change permanent.